html, body {
  margin: 0;
  padding: 0;
  font-family: 'Courier New', Courier, monospace;  
}

#canvas {
  position: fixed;
  background: #333;
}

@keyframes noise-anim {
  0% {
    clip: rect(58px, 9999px, 3px, 0);
  }
  5% {
    clip: rect(15px, 9999px, 9px, 0);
  }
  10% {
    clip: rect(100px, 9999px, 44px, 0);
  }
  15% {
    clip: rect(25px, 9999px, 40px, 0);
  }
  20% {
    clip: rect(94px, 9999px, 14px, 0);
  }
  25% {
    clip: rect(33px, 9999px, 63px, 0);
  }
  30% {
    clip: rect(85px, 9999px, 55px, 0);
  }
  35% {
    clip: rect(5px, 9999px, 96px, 0);
  }
  40% {
    clip: rect(76px, 9999px, 37px, 0);
  }
  45% {
    clip: rect(88px, 9999px, 44px, 0);
  }
  50% {
    clip: rect(100px, 9999px, 88px, 0);
  }
  55% {
    clip: rect(100px, 9999px, 12px, 0);
  }
  60% {
    clip: rect(68px, 9999px, 23px, 0);
  }
  65% {
    clip: rect(99px, 9999px, 18px, 0);
  }
  70% {
    clip: rect(43px, 9999px, 81px, 0);
  }
  75% {
    clip: rect(50px, 9999px, 57px, 0);
  }
  80% {
    clip: rect(2px, 9999px, 72px, 0);
  }
  85% {
    clip: rect(25px, 9999px, 79px, 0);
  }
  90% {
    clip: rect(69px, 9999px, 75px, 0);
  }
  95% {
    clip: rect(65px, 9999px, 16px, 0);
  }
  100% {
    clip: rect(93px, 9999px, 77px, 0);
  }
}

@keyframes noise-anim-2 {
  0% {
    clip: rect(92px, 9999px, 44px, 0);
  }
  5% {
    clip: rect(27px, 9999px, 19px, 0);
  }
  10% {
    clip: rect(27px, 9999px, 93px, 0);
  }
  15% {
    clip: rect(45px, 9999px, 42px, 0);
  }
  20% {
    clip: rect(21px, 9999px, 28px, 0);
  }
  25% {
    clip: rect(55px, 9999px, 87px, 0);
  }
  30% {
    clip: rect(88px, 9999px, 30px, 0);
  }
  35% {
    clip: rect(10px, 9999px, 44px, 0);
  }
  40% {
    clip: rect(66px, 9999px, 85px, 0);
  }
  45% {
    clip: rect(63px, 9999px, 16px, 0);
  }
  50% {
    clip: rect(60px, 9999px, 26px, 0);
  }
  55% {
    clip: rect(27px, 9999px, 90px, 0);
  }
  60% {
    clip: rect(72px, 9999px, 21px, 0);
  }
  65% {
    clip: rect(72px, 9999px, 37px, 0);
  }
  70% {
    clip: rect(84px, 9999px, 54px, 0);
  }
  75% {
    clip: rect(26px, 9999px, 19px, 0);
  }
  80% {
    clip: rect(25px, 9999px, 49px, 0);
  }
  85% {
    clip: rect(96px, 9999px, 29px, 0);
  }
  90% {
    clip: rect(61px, 9999px, 38px, 0);
  }
  95% {
    clip: rect(45px, 9999px, 16px, 0);
  }
  100% {
    clip: rect(77px, 9999px, 96px, 0);
  }
}

@keyframes glow {
  0% {
    box-shadow: 0 0 10px rgba(255, 0, 255, 0.5),
                0 0 20px rgba(0, 255, 255, 0.3);
  }
  25% {
    box-shadow: 0 0 15px rgba(255, 255, 0, 0.5),
                0 0 30px rgba(255, 0, 0, 0.3);
  }
  50% {
    box-shadow: 0 0 20px rgba(0, 255, 0, 0.5),
                0 0 40px rgba(0, 0, 255, 0.3);
  }
  75% {
    box-shadow: 0 0 15px rgba(255, 128, 0, 0.5),
                0 0 30px rgba(128, 0, 255, 0.3);
  }
  100% {
    box-shadow: 0 0 10px rgba(255, 0, 255, 0.5),
                0 0 20px rgba(0, 255, 255, 0.3);
  }
}

form {
  position: absolute;
  left: 0;
  display: flex;
  flex-direction: row;
  z-index: 1;
  position: relative;
  align-items: center;
  justify-content: center;
  padding-top: 40vh;
}

input {
  background: transparent;
  position: absolute;
  left: 0;
  width: calc(100svw - 3em);
  flex-basis: 100px;
  flex-grow: 1;
  color: #fff;
  font-size: 2rem;
  height: 4rem;
  margin: 2rem;
  padding: 0 .75rem;
  align-self: center;
  border: none;
  color: #ddd;
  font-family: inherit;
  border: 1px solid transparent;
  border-radius: 30px;
  padding: 10px 20px;
  transition: all 0.3s ease;
}

@media (max-width: 500px) {
  input {
    border-radius: 0;
    margin: 0;
    width: 100svw;
  }

  .tip {
    right: 1em !important;
  }
}

input:hover {
  /* border-color: teal; */
  animation: glow 6s ease-in-out infinite;
}

input:focus {
  outline: none;
}

input:not(:placeholder-shown) {
  text-shadow:
  0 0 2px #fff,
  3px 0 2px red,
  0 3px 2px red,
  3px 3px 2px red,
  0 0 2px #fff,
  3px 0 2px red,
  0 3px 2px red,
  3px 3px 2px red;
}

input:not(:placeholder-shown) {
  border-color: rgba(255, 255, 255, 0.03);
  background-color: rgba(255, 255, 255, 0.01);
}

.route-found input {
  border-color: rgba(255, 255, 255, 0.09);
  background-color: rgba(255, 255, 255, 0.025);

  text-shadow:
    0 0 2px #fff,
    3px 0 2px teal,
    0 3px 2px teal,
    3px 3px 2px teal,
    0 0 2px #fff,
    3px 0 2px teal,
    0 3px 2px teal,
    3px 3px 2px teal;
}

.tip {
  visibility: hidden;
  position: absolute;
  right: 3em;
  z-index: 12;
  color: #fff;
  display: inline-block;
  background: #333;
  padding: 8px 16px;
  border-radius: 6px;
  font-size: 0.8em;
  margin-left: 10px;
  box-shadow: 0 2px 0 #222;
  border: 1px solid #444;
  cursor: pointer;
  transition: all 0.2s ease;
  text-transform: uppercase;
  letter-spacing: 1px;
  height: 20px;
  width: 16px;
  text-align: center;
  margin: 1em;
}

.route-found input + .tip {
  visibility: visible;

}

input + .tip:hover {
  background: #444;
  transform: translateY(1px);
  box-shadow: 0 1px 0 #222;
}

input + .tip:active {
  transform: translateY(2px);
  box-shadow: none;
}